#include <iostream>
#include <vector>
#include<map>


#include<tuple>

using namespace std;
#define ll long long





int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int n,k;
	cin >> n>>k;
	int prvi = 0;
	int broj;
	
	for (int i = 0; i < n; i++)
	{
		cin >> broj;
		if (i == 0)
		{
			prvi = broj;
		}
		if (broj == k)
		{
			if (i == (n - 1))               
			{
				cout << prvi;
				return 0;
			}
			else
			{
				cin >> broj;
				cout << broj;
				return 0;
			}
		}
		
	
	}
	
	
}